## org.omg.DynamicAny.DynAnyPackage
Class InvalidValue

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.DynamicAny.DynAnyPackage.InvalidValue

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class InvalidValue
extends UserException

Exception definition : InvalidValue

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`InvalidValue()` Default constructor
`InvalidValue(java.lang.String orb_reason)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidValue

    public InvalidValue()

  Default constructor

### InvalidValue

    public InvalidValue(java.lang.String orb_reason)

  Full constructor with fields initialization